@use 'sass/size';

::ng-deep {
  .ngx-slider-bar {
    background: rgba(0, 0, 0, 0.38) !important;
    height: 2px !important;
  }

  .ngx-slider-selection {
    background: #005566 !important;
  }

  .ngx-slider-pointer {
    width: 14px !important;
    height: 14px !important;
    top: -6.5px !important;
    background-color: #005566 !important;
  }

  .ngx-slider-pointer:after {
    display: none;
  }

  .ngx-slider-bubble {
    bottom: 14px !important;
  }

  .ngx-slider-limit {
    color: #005566 !important;
  }
}

.ranged-slider-container {
  display: flex;
  flex-flow: row wrap;
  align-items: center;
  gap: size.$gap;
  .mat-form-field {
    .input {
      width: 100px;
      text-align: right;
    }
    .unit {
      margin-left: 1ch;
      vertical-align: text-top;
    }
    ::ng-deep .mat-form-field-infix {
      width: unset !important;
    }
  }
  .ngx-slider {
    margin-left: size.$gap;
    flex: 8 1 200px;
  }
}
